### Hierarchy

- unknown
  - EncryptedConnectionList

## Index

### Constructors

- constructor

### Methods

- addItems
- clearItemsList
- getAutoSwitch
- getCurrentConnectionUrl
- getItemsList
- getRefreshPeriod
- getSalt
- getSalt_asB64
- getSalt_asU8
- serializeBinary
- setAutoSwitch
- setCurrentConnectionUrl
- setItemsList
- setRefreshPeriod
- setSalt
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new EncryptedConnectionList(): EncryptedConnectionList

- Inherited from jspb.Message.constructor

  #### Returns EncryptedConnectionList

## Methods

### addItems

- addItems(value?: EncryptedConnection, index?: number): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7320

  #### Parameters

  - ##### Optional value: EncryptedConnection

  - ##### Optional index: number

  #### Returns EncryptedConnection

### clearItemsList

- clearItemsList(): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7319

  #### Returns EncryptedConnectionList

### getAutoSwitch

- getAutoSwitch(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7328

  #### Returns boolean

### getCurrentConnectionUrl

- getCurrentConnectionUrl(): string

- - Defined in src/protobuf/pb_pb.d.ts:7322

  #### Returns string

### getItemsList

- getItemsList(): EncryptedConnection []

- - Defined in src/protobuf/pb_pb.d.ts:7317

  #### Returns EncryptedConnection []

### getRefreshPeriod

- getRefreshPeriod(): number

- - Defined in src/protobuf/pb_pb.d.ts:7325

  #### Returns number

### getSalt

- getSalt(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7312

  #### Returns string | Uint8Array

### getSalt_asB64

- getSalt_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7314

  #### Returns string

### getSalt_asU8

- getSalt_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7313

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7331

  #### Returns Uint8Array

### setAutoSwitch

- setAutoSwitch(value: boolean): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7329

  #### Parameters

  - ##### value: boolean

  #### Returns EncryptedConnectionList

### setCurrentConnectionUrl

- setCurrentConnectionUrl(value: string): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7323

  #### Parameters

  - ##### value: string

  #### Returns EncryptedConnectionList

### setItemsList

- setItemsList(value: EncryptedConnection []): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7318

  #### Parameters

  - ##### value: EncryptedConnection []

  #### Returns EncryptedConnectionList

### setRefreshPeriod

- setRefreshPeriod(value: number): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7326

  #### Parameters

  - ##### value: number

  #### Returns EncryptedConnectionList

### setSalt

- setSalt(value: string | Uint8Array): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7315

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnectionList

### toObject

- toObject(includeInstance?: boolean): EncryptedConnectionList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7332

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns EncryptedConnectionList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7335

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns EncryptedConnectionList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: EncryptedConnectionList, reader: BinaryReader): EncryptedConnectionList

- - Defined in src/protobuf/pb_pb.d.ts:7336

  #### Parameters

  - ##### message: EncryptedConnectionList

  - ##### reader: BinaryReader

  #### Returns EncryptedConnectionList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: EncryptedConnectionList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7334

  #### Parameters

  - ##### message: EncryptedConnectionList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: EncryptedConnectionList ): EncryptedConnectionList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7333

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: EncryptedConnectionList

  #### Returns EncryptedConnectionList . AsObject

Generated using TypeDoc